Get Skus and itemIds in a specific pricelist - Fabric
Get Skus and itemIds in a specific pricelist
cURL
curl --request GET \
--url https://live.copilot.fabric.inc/api-offers/items/priceListId/{priceListId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://live.copilot.fabric.inc/api-offers/items/priceListId/{priceListId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/items/priceListId/{priceListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Status Codes
- 200
- 404
- 500
Response Body Example
{
"query": {
"limit": 10,
"offset": 0,
"count": 80
},
"data": [
{
"itemId": 1000000011,
"itemSku": "10112_SKU"
}
]
}
{
"code": "PRICE_LIST_NOT_FOUND",
"message": "No Price List with this ID Found"
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
- Authorization
string
header
required
Bearer authentication header of the formBearer <token>, where<token>is your auth token.
Headers
- x-site-context
string
required
Thex-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
- priceListId
string
required
ID of the pricelist from which the items are to be returned.
Query Parameters
offset
number
The number of records to skip before returning records. For example, when offset is 20 and limit is 10, this endpoint returns records from 21 to 30.limit
number
The maximum number of records per page.sortBy
enum<string>
Field using which you want to sort the records. Available options:itemId,updatedAtsortOrder
enum<string>
Sorting order of the records- ascending or descending. Available options:desc,asc
Response Example
200application/json
OK
{
"query": {
"limit": 10,
"count": 80,
"offset": 0
},
"data": [
{
"itemId": 1000000011,
"itemSku": "10112_SKU"
}
]
}